import { Ref } from 'vue';
import { FieldValidationProps } from '../../../../../composables/unifyValidation/useValidation';
export declare function useSyAutocompleteValidation(props: FieldValidationProps): {
    focused: Ref<boolean, boolean>;
    hasInteracted: Ref<boolean, boolean>;
    markInteracted: () => void;
    validate: (() => Promise<boolean>) | (() => Promise<boolean>);
    clearValidation: (() => void) | (() => void);
    validateOnSubmit: () => Promise<boolean>;
    validateOnBlur: () => void;
    displayErrors: import('vue').ComputedRef<string[]>;
    displayWarnings: import('vue').ComputedRef<string[]>;
    displaySuccesses: import('vue').ComputedRef<string[]>;
    displayHasError: import('vue').ComputedRef<boolean | undefined>;
    displayHasWarning: import('vue').ComputedRef<boolean | undefined>;
    displayHasSuccess: import('vue').ComputedRef<boolean>;
    validationIcon: import('vue').ComputedRef<string | null>;
};
